// Eg9_4View.h : interface of the CEg9_4View class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_EG9_4VIEW_H__89D59BEA_6AC5_4AA6_A114_31FE1CFBBD74__INCLUDED_)
#define AFX_EG9_4VIEW_H__89D59BEA_6AC5_4AA6_A114_31FE1CFBBD74__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CEg9_4View : public CScrollView
{
protected: // create from serialization only
	CEg9_4View();
	DECLARE_DYNCREATE(CEg9_4View)

// Attributes
public:
	CEg9_4Doc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CEg9_4View)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void OnPrepareDC(CDC* pDC, CPrintInfo* pInfo = NULL);
	protected:
	virtual void OnInitialUpdate(); // called first time after construct
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnPrint(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CEg9_4View();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CEg9_4View)
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in Eg9_4View.cpp
inline CEg9_4Doc* CEg9_4View::GetDocument()
   { return (CEg9_4Doc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EG9_4VIEW_H__89D59BEA_6AC5_4AA6_A114_31FE1CFBBD74__INCLUDED_)
